
ARC (Alkali Rydberg Calculator)
===============================


ARC (Alkali Rydberg Calculator)  is package of routines written in Python, using object-oriented programming (OOP) to make modular, reusable and extendable collection of routines and data for performing useful calculations of single atom and two-atom properties, like level diagrams, interactions and transition strengths for alkali metal atoms.

For installation instructions and documentation see [online documentation on Read The Docs](http://arc-alkali-rydberg-calculator.readthedocs.io). Start by installing
the latest version of the ARC package calling Python pip from the command line
(see [documentation](http://arc-alkali-rydberg-calculator.readthedocs.io/en/latest/installation.html) for more details):

```pip install ARC-Alkali-Rydberg-Calculator ```

For examples of use check [IPython notebook in .html](http://arc-alkali-rydberg-calculator.readthedocs.io/en/latest/_static/Rydberg_atoms_a_primer.html) or download [.ipynb interactive notebook](doc/Rydberg_atoms_a_primer_notebook.ipynb).

For online access to a selection of package functions see [online Atom Calculator](https://atomcalc.jqc.org.uk).

If you want to contribute to the project, [check this page](http://arc-alkali-rydberg-calculator.readthedocs.io/en/stable/contribute.html).

![Documentation Status](https://readthedocs.org/projects/arc-alkali-rydberg-calculator/badge/?version=latest) [![Build Status](https://travis-ci.org/nikolasibalic/ARC-Alkali-Rydberg-Calculator.svg?branch=master)](https://travis-ci.org/nikolasibalic/ARC-Alkali-Rydberg-Calculator) [![Build status](https://ci.appveyor.com/api/projects/status/oerrwe9otd96es4h/branch/master?svg=true)](https://ci.appveyor.com/project/nikolasibalic/arc-alkali-rydberg-calculator/branch/master) [![PyPI version](https://badge.fury.io/py/ARC-Alkali-Rydberg-Calculator.svg)](https://badge.fury.io/py/ARC-Alkali-Rydberg-Calculator) [![Binder](https://mybinder.org/badge.svg)](https://mybinder.org/v2/gh/nikolasibalic/ARC-Alkali-Rydberg-Calculator.git/master?urlpath=lab%2Ftree%2Fdoc%2FRydberg_atoms_a_primer_notebook.ipynb)


-------
Authors
-------

[Nikola Šibalić](https://www.mas.ncl.ac.uk/old_jqc/people/nikola-%C5%A0ibali%C4%87/104/index.html), [Jonathan D. Pritchard](http://photonics.phys.strath.ac.uk/people/dr-jonathan-pritchard/), [Charles S. Adams](https://www.mas.ncl.ac.uk/old_jqc/people/charles-adams/44/index.html), [Kevin J. Weatherill](https://www.mas.ncl.ac.uk/old_jqc/people/kevin-weatherill/18/index.html)

**Please cite as:** N. Šibalić, J. D. Pritchard, K. J. Weatherill, C. S. Adams,
ARC: An open-source library for calculating properties of alkali Rydberg atoms,
*Computer Physics Communications* **220**, 319 (2017), [https://doi.org/10.1016/j.cpc.2017.06.015](https://doi.org/10.1016/j.cpc.2017.06.015)

**Who are the users of this library?** Check papers that cite us in [ADS](http://adsabs.harvard.edu/cgi-bin/nph-ref_query?bibcode=2017CoPhC.220..319S&amp;refs=CITATIONS&amp;db_key=PHY) and [Google Scholar](https://scholar.google.com/scholar?cites=17451096747440945721&as_sdt=2005&sciodt=0,5&hl=en).

-------
License
-------

All the files distributed with this program are provided subject to the
BSD-3-Clause license. A copy of the license is provided.
